Page MenuHomePhabricator

Page's deleted by saneitizer on wikis with an _ in the wikiId are mishandled
Closed, ResolvedPublic

Description

Getting a variety of errors in logstash since saneitizer started, all related to wikis with an _ in the wikiid:

delete: /cbk_zamwiki_zamwiki_general/page/126 caused no

Somewhere the portion of the wiki name after the first _ is being duplicated.

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptJul 20 2016, 10:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 300313 had a related patch set uploaded (by EBernhardson):
Fix incorrect index suffix detection in Sanitizer

https://gerrit.wikimedia.org/r/300313

Change 300313 merged by jenkins-bot:
Fix incorrect index suffix detection in Sanitizer

https://gerrit.wikimedia.org/r/300313

Change 300430 had a related patch set uploaded (by EBernhardson):
Fix incorrect index suffix detection in Sanitizer

https://gerrit.wikimedia.org/r/300430

Change 300430 merged by jenkins-bot:
Fix incorrect index suffix detection in Sanitizer

https://gerrit.wikimedia.org/r/300430

patch deployed, errors have gone away.

debt added a subscriber: debt.Jul 22 2016, 1:14 AM

yay for errors going away! :)

debt closed this task as Resolved.Aug 8 2016, 4:58 PM